@import url(https://fonts.googleapis.com/css?family=Roboto);

:root {
    --purple: #6266b2;
    --light-purple: #7c81e2;
    --light-purple-lists: #4b4b71;
    --dark-purple: #30304f;
    --orange: #f1900f;
    --dark-blue: #18183B;
    --main-dark-blue: #20214f;
    --very-dark-blue: #191725;
    --light-grey: #f5f5f5;
}

/* MAIN APP CONTAINERS */

body {
    overflow: hidden;
    background-color: var(--main-dark-blue);
    color : var(--light-grey);
    width: 100vw;
    height: 100vh;
    margin : auto auto auto auto;
    font-family: "Open Sans", sans-serif;
    text-overflow: "...";
}

.app-container {
    overflow: hidden;
}

.main-part {
    display: flex;
    flex-direction: row;
    margin : 2em 2em 2em 2em;
}

/* LEFT SIDE SEARCH PARAMETERS */

.left-side-search-parameters{
    display: flex;
    flex-direction: column;
    width: 20vw;
    height: 80vh;
    overflow: hidden;
}

.left-side-search-parameters > div {
    background-color:var(--dark-blue);
    border-radius: 5px;
    padding: 0 0 0 0 !important;
    margin: 0.75em 0.75em 0.75em 0.75em;
    box-shadow: 2px 2px 7.5px black;
}

/* SELECTED ARTICLE */
.selected-article{
    height: 20vh;
    width: 18vw;
}

.selected-article > .news-container {
    background-color: transparent !important;
    box-shadow: none ! important;
    display: flex;
    flex-direction: column;
    justify-content: center;
    height: 18vh;
    border-radius: 4px;
    padding: 0 0 0 0;
    width: 17vw;
}

.no-article-container {
    align-items: center;
    width: 16vw;
    display: flex;
    flex-direction: column;
    height: 12vh;
    margin: auto;
}

.selected-article > .news-container > .news-publisher-container {
    color : var(--purple) !important;
}

.selected-article > .news-container > .news-publisher-container > .news-review-date-container > .news-review-date {
    color : var(--purple) !important;
}

.selected-article > .news-container > .news-dates-container > .news-claim-date-container{
    color : var(--purple) !important;
}

.selected-article > .news-container > .news-dates-container > .news-review-date-container > .news-review-date {
    color : var(--purple) !important;
}

.selected-article > .news-container > .news-title {
    height: auto;
}


.article-button-change {
    margin-top: 25px;
    color:white;
    background-color: var(--dark-blue);
    border-color: white;
    border-radius: 4px;
    height: 30px;
    width: 100px;
    border-style: solid;
    cursor: pointer;
}

.article-button-change:hover {
    background-color: var(--light-purple);
}

.search-bar-button {
    background-color:var(--purple);
    border-style: none;
    color : var(--light-grey);
    margin : 0.5em auto auto auto;
    width : 8em;
    height: 3em;
    border-radius: 5px;
}

.news-container {
    display: flex;
    flex-direction: row;
    margin-top: 10px;
    width: 300px;

    padding: 10px;
    background-color: beige;
    border-radius: 5px;
}

/* COVID INDICATOR */
.covid-indicators-list{
    height: 55vh;
    overflow-y: scroll;
    background-color: var(--very-dark-blue) !important;
    padding: 20px 0 0 0 !important;
}

.covid-sublist-container {
    display: block !important;
    padding: 0 0 0 0;
    margin: 0 0 0 0;
    background-color: var(--dark-blue);
}

.covid-indicators-list > ul {
    display: none;
}

.label-container {
    width: 100%;
    height: 6vh;
    border-bottom: 6px solid var(--dark-blue);
    display: flex;
    flex-direction: row;
    align-items: center;
    cursor: pointer;
}

.label-container > label {
    display: inline-block;
    height: 50%;
    width: 60%;
    padding: 4% 4% 4% 10%;
    cursor: inherit;
}

.logo-dropdown {
    height: 1.8em;
    margin: 0 auto;
}

.rotated-img {
    -webkit-transform: rotate(180deg);
}

.covid-sublist-container > li {
    width: 100%;
    height: 5.5vh;
    border-bottom: 2px solid var(--light-purple-lists);
    box-sizing: border-box;
    display: flex;
    flex-direction: row;
    cursor: pointer;
}

.covid-sublist-container > li:hover {
    background-color: var(--dark-purple);
}

.covid-sublist-container-checked {
    width: 100%;
    height: 5vh;
    background-color: var(--dark-purple);
    border-bottom: 2px solid var(--light-purple-lists);
    box-sizing: border-box;
    display: block;
}

.covid-sublist-container > li > input {
    display: none;
}

.covid-sublist-container > li > img {
    margin: auto 5px;
}

.covid-sublist-container > li > label {
    display: flex;
    align-items: center;
    font-size: 14px;
    width: 80%;
    cursor: pointer;
}

.covid-indicators-list > ul {
    list-style-type: none;
    height: auto;
    display: none;
}

.input[type=checkbox]:before {
    opacity: 0;
}

.not-checked-logo {
    height: 3vh;
    margin: auto 0 auto 0;
    opacity: 0;
}
.checked-logo {
    height: 3vh;
    margin: auto 0 auto 0;
    opacity: 1;
}

.input[type=checkbox]:hover ~ div {
    background-color: var(--dark-purple);
}

.input[type=checkbox]:checked ~ div {
    background-color: var(--dark-purple);
}

/* DATA VISUALIZATION CONTAINERS */

.data-visualization-container {
    width: 60vw;
    height: 80vh;
}

.wrong-selection-container {
    position: relative;
    margin: auto;
    background: var(--dark-blue);
    padding: 17px;
    border-radius: 10px;
    cursor: default;
}

.wrong-selection-title {
    text-align: center;
    color: var(--orange);
    font-weight: bolder;
    font-size: 1.5em;
    margin-top: 10px;
}

.wrong-selection-message {
    text-align: center;
    color: white;
}

/* RIGHT SIDE SEARCH PARAMETERS */

.right-side-search-parameters {
    display: flex;
    flex-direction: column;
    width: 20vw;
    height: 80vh;
    overflow: hidden;
}

.right-side-search-parameters>div{
    background-color: var(--dark-blue);
    border-radius: 5px;
    margin: 0.75em 0.75em 0.75em 0.75em;
    box-shadow: 2px 2px 5px black;
}

/* LEGEND */

.legend {
    padding: 5%;
    height: 5vh;
    display: flex;
    flex-direction: row;
    align-items: center;
}

.legend > label {
    width: auto;
    margin: auto;
}

.scale-0 {
    display: flex;
    flex-direction: column;
    align-items: center;
    height: 57.9px;
    width: 40.6px;
    font-size: 14px;
    margin: 5%;
}

.circle-0 {
    width: 5px;
    height: 5px;
    border-radius: 20px;
    background: var(--light-grey);
    margin: auto;
}

.scale-100 {
    display: flex;
    flex-direction: column;
    align-items: center;
    height: 57.9px;
    width: 40.6px;
    font-size: 14px;
    margin: 5%;
}

.circle-100 {
    width: 20px;
    height: 20px;
    border-radius: 20px;
    background: var(--light-grey);
    margin: auto;
}

/* COUNTRIES LIST */

.countries-list {
    height: 65vh;
    overflow-y: scroll;
}

.available-countries-list {
    list-style-type: none;
    padding: 0 0 0 0;
    margin: 0 0 0 0;
}

.available-countries-list > li {
    width: 100%;
    height: 5.5vh;
    border-bottom: 2px solid var(--light-purple-lists);
    box-sizing: border-box;
    display: flex;
    flex-direction: row;
    cursor: pointer;
}

.available-countries-list > li:hover {
    background-color: var(--dark-purple);
}

.available-countries-list > li > input {
    display: none;
}

.available-countries-list > li > img {
    margin: auto 5px;
}

.available-countries-list > li > label {
    display: flex;
    align-items: center;
    font-size: 14px;
    width: 80%;
    cursor: pointer;
}

/* BOTTOM SEARCH PARAMETERS */

.bottom-parameters {
    display: flex;
    flex-direction: row;
    margin: 2vh auto 0 auto;
    width: 75vw;
}

canvas {
    margin : 1em auto auto auto !important;
}

.play-slowly {
    position: fixed;
    left: 4vw;
    background-color: var(--purple);
    border-style: none;
    color: var(--light-grey);
    margin: 1em auto auto auto;
    width: 8em;
    height: 2em;
    border-radius: 3px;
    cursor: pointer;
    visibility: hidden;
}

.play-slowly:hover {
    background-color: var(--light-purple);
}
